Page MenuHomeFreeBSD

graphics/poppler: update to 0.71.0
ClosedPublic

Authored by tcberner on Oct 7 2018, 12:17 PM.

Details

Reviewers
kwm
Group Reviewers
gnome
kde
Commits
rP487596: Update poppler to 0.72
Summary
  • switches to cmake to build
  • cairo default (maybe that can be reverted)
  • drops support for Qt4

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Oct 7 2018, 12:17 PM
tcberner updated this revision to Diff 48857.Oct 7 2018, 2:57 PM

Todo:

  • cups-filters (update or patch)
  • inkscape
kwm added a comment.Oct 7 2018, 7:41 PM

Only a light quick first pass, don't have time atm for more indepth.

editors/texworks/Makefile
7 ↗(On Diff #48857)

I think PORTREVISION gone missing, was this intended?

graphics/poppler/Makefile
16 ↗(On Diff #48857)

USE_GNOME=cairo :)

68 ↗(On Diff #48857)

another cairo? hmm to the mystery mobile!

tijl added a comment.Oct 10 2018, 12:15 PM

Todo:

  • cups-filters (update or patch)

Done in https://svnweb.freebsd.org/changeset/ports/481734.

In D17456#373352, @tijl wrote:

Todo:

  • cups-filters (update or patch)

Done in https://svnweb.freebsd.org/changeset/ports/481734.

Awesome! thank you very much :)

tcberner updated this revision to Diff 49137.EditedOct 14 2018, 5:57 PM
tcberner marked an inline comment as done.

Address @kwm comments

editors/texworks/Makefile
7 ↗(On Diff #48857)

yes, and no, I started to upgrade it to 0.6.2 and then remembered https://reviews.freebsd.org/D17177 . -- I'll revert it here.

mat added inline comments.Oct 15 2018, 7:38 AM
editors/texstudio/Makefile
6 ↗(On Diff #49137)

This?

graphics/diffpdf/Makefile
14–15 ↗(On Diff #49137)

Just remove the port, no?

tcberner updated this revision to Diff 50519.Nov 17 2018, 8:11 AM
tcberner marked an inline comment as done.
tcberner retitled this revision from graphics/poppler: update to 0.69.0 to graphics/poppler: update to 0.71.0.
tcberner edited the summary of this revision. (Show Details)
kwm accepted this revision.Nov 23 2018, 8:29 PM
  • The graphics/inkscape port seems to be missing the portrevions. Please check all poppler users for portrevision bumps.

Don't see anything really that jumps out to me.

This revision is now accepted and ready to land.Nov 23 2018, 8:29 PM
tcberner updated this revision to Diff 51826.Dec 10 2018, 7:24 PM
tcberner edited the summary of this revision. (Show Details)

Rebase against current tree, and update to 0.72

... wip fixes for some ports

This revision now requires review to proceed.Dec 10 2018, 7:24 PM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 17 2018, 11:40 AM
Closed by commit rP487596: Update poppler to 0.72 (authored by tcberner). · Explain Why
This revision was automatically updated to reflect the committed changes.